
#include <macros.h>
#include <exec/types.h>
#include <exec/nodes.h>
#include <exec/lists.h>
#include <exec/memory.h>

#include <dos/dos.h>
#include <workbench/startup.h>

#include <intuition/screens.h>
#include <intuition/intuition.h>
#include <intuition/gadgetclass.h>

#include <libraries/asl.h>
#include <libraries/gadtools.h>

#include <clib/exec_protos.h>
#include <clib/intuition_protos.h>
#include <clib/gadtools_protos.h>
#include <clib/graphics_protos.h>
#include <clib/asl_protos.h>
#include <clib/alib_protos.h>


#define GAD_pagesize     0
#define GAD_linelength   1
#define GAD_split        2
#define GAD_title        3
#define GAD_automatic    4
#define GAD_filereq      5
#define GAD_quit         6
#define GAD_storage_list 7
#define GAD_storage_str  8
#define GAD_print_it     9
#define GAD_forget_it    10

#define NG_pagesize      (NGAry + GAD_pagesize)
#define NG_linelength    (NGAry + GAD_linelength)
#define NG_split         (NGAry + GAD_split)
#define NG_title         (NGAry + GAD_title)
#define NG_automatic     (NGAry + GAD_automatic)
#define NG_filereq       (NGAry + GAD_filereq)
#define NG_quit          (NGAry + GAD_quit)
#define NG_storage_list  (NGAry + GAD_storage_list)
#define NG_storage_str   (NGAry + GAD_storage_str)
#define NG_print_it      (NGAry + GAD_print_it)
#define NG_forget_it     (NGAry + GAD_forget_it)

#define WIN_WIDTH    444
#define WIN_HEIGHT   160

#define CANCEL       0
#define ALL          2
#define ODD          FALSE
#define EVEN         TRUE
#define MPC          (MEMF_PUBLIC | MEMF_CLEAR)
#define MIN_BUF_SIZE (136 * 88)  /*  max_page_size */
#define MAXPATH      128
#define NULPTR       ((void *)0L)


#define PREF struct Preferences
#define DATE struct DateStamp
#define FIB  struct FileInfoBlock
#define FL   struct FileLock
#define FH   struct FileHandle
#define PE   struct PriEnv
#define RM   struct Remember

struct PriEnv
{
  struct  Node pe_node;
  LONG   *memory;

  FH     *Handle;
  UBYTE  *FullName;
  UBYTE  *SplitBuffer;
  LONG    Size;
  SHORT   pagenum;
  SHORT   pagesize;
  SHORT   linelength;
};


#define VER       {'$','V','E','R',':',' ' }

#define toggle(x) x = (x == 0)

#define Prototype extern

#include "protos.h"

